calafragilistic Posted February 3, 2011 Posted February 3, 2011 When I used to use R14, I had a customized leader command where the first click was the endpoint of a leader (as usual), the second click was like the midpoint of an arc, and the third click was the other endpoint of an arc. You could continuously keep clicking and producing more arcs connected to the leader block, but typically I would just end the leader there, and it would not end with a text attached to it. Since I upgraded to AutoCAD 2010, the LISP function that I used for that did not transfer over, but I would like to have that again, as the spline leaders that are standard in 2010 look terrible compared to what I used to have, and are nowhere near as versatile. Is there a place I can find a LSP command to do the same thing, or will I have to rewrite the new command again? Here are some examples of how the finished 'CLeader' looked: Quote
ReMark Posted February 4, 2011 Posted February 4, 2011 Two arc leader lisp routines can be found here but they date from 1996/97. Who knows, maybe one of them will work with AutoCAD 2010. It's worth a shot. http://cadtips.cadalyst.com/node/tiplisting?keywords=arc%20leader Quote
MarcoW Posted February 4, 2011 Posted February 4, 2011 Two arc leader lisp routines can be found here but they date from 1996/97. Who knows, maybe one of them will work with AutoCAD 2010. It's worth a shot.http://cadtips.cadalyst.com/node/tiplisting?keywords=arc%20leader I thought I'd give it a try, and the second one works in 2011. ;TIP1203.LSP: ARCLEADER.LSP Arc Leader (c)1996, Douglas C. Barense (defun c:ARCLEADR (/ STARTPNT ANGLEPNT ENDPNT1 ENDPNT2) (graphscr) (initget 15) (setq STARTPNT (getpoint"\nStarting point for arrow: ")) (initget 15) (setq ANGLEPNT (getpoint STARTPNT "\nSelect angle definition point: ") ) (setq ENDPNT1 (polar STARTPNT (angle STARTPNT ANGLEPNT) (* 0.09375 (getvar"LTSCALE")) ) ) (setq ENDPNT2 (* 0.03125 (getvar "LTSCALE"))) (command "pline" STARTPNT "w" "0.0" ENDPNT2 ENDPNT1 "w" "0.0" "0.0" "arc" ) (princ) ); end arcleadr.lsp Quote
tzframpton Posted February 4, 2011 Posted February 4, 2011 Here's one I snagged on this site or TheSwamp.org - one of the two but can't remember. I love it and use it all the time. The size of the arrow head works off the DIMSCALE factor. arc_dim.lsp Quote
Caleb Losh Posted May 6, 2015 Posted May 6, 2015 What command do you enter once you load it into autocad Quote
ReMark Posted May 6, 2015 Posted May 6, 2015 What command do you enter once you load it into autocad If you are talking about arc_dim.lsp it would be "AA". Quote
Caleb Losh Posted May 6, 2015 Posted May 6, 2015 If you are talking about arc_dim.lsp it would be "AA". Thanks for the help! Quote
Recommended Posts
Join the conversation
You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.